# Issuer’s endpoint to handle VCAs validate flow. This endpoint will be used to inform the issuer about the validation flow. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - 3DS authentication", "description": "3DS API endpoint documentation.", "contact": { "name": "API Support", "email": "support@pismo.com.br", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo", "url": "https://developers.pismo.io/licenses/" }, "version": "1.0.0" }, "servers": [ { "url": "https://api-sandbox.pismolabs.io/3ds-acs", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "VCAS", "description": "Endpoints to provide integration with VCAS." } ], "components": { "schemas": { "VCASValidateRequest": { "type": "object", "required": [ "id", "provider", "type", "raw_provider" ], "properties": { "id": { "$ref": "#/components/schemas/PismoAuthID" }, "provider": { "type": "string", "description": "Third-party provider name", "enum": [ "VCAS" ], "example": "VCAS" }, "type": { "type": "string", "description": "To validate the credential (e.g., OTP) provided by the cardholder during a step-up authentication flow.", "enum": [ "VALIDATE" ], "example": "VALIDATE" }, "raw_provider": { "$ref": "#/components/schemas/RawProvider" } }, "example": { "id": "ff77635e-1cd6-4fda-992d-5ceb71d75644", "provider": "VCAS", "type": "VALIDATE", "raw_provider": { "ProcessorId": "5723ae630063ac1a9c3ab079", "IssuerId": "5723ae630063ac1a9c3ab481", "TransactionId": "00ec043e-40b5-4ce4-95c2-9e83b644f412", "DSTransactionId": "521fa021-4791-4579-a3e9-76de87c219c0", "StepupRequestId": "878f4751-4140-4881-9e4a-003e83524f22", "MessageVersion": "2.2.0", "RDXMessageVersion": "2.2.3" } } }, "VCASValidateResponse": { "type": "object", "properties": { "raw_response": { "type": "object", "description": "Raw response to VCAS Validate request, according with VCAS documentation.", "example": { "ProcessorId": "5723ae630063ac1a9c3ab079", "IssuerId": "5723ae630063ac1a9c3ab671", "TransactionId": "00ec043e-40b5-4ce4-95c2-9e83b644f412", "StepupRequestId": "00ec043e-40b5-4ce4-95c2-9e83b644f618", "Language": "string", "CredentialId": "string", "Status": "SUCCESS", "TransStatusReason": "string", "RiskIndicator": "string", "Reason": { "ReasonCode": "string", "ReasonDescription": "string" }, "Error": { "ReferenceNumber": "string", "ReasonDescription": "string", "Description": "string", "Message": "string" }, "RReqOverrides": { "AuthenticationMethod": "SMS_OTP", "TransStatusReason": "CARD_AUTH_FAILED", "AuthenticationAttempts": "string", "CustomerCancel": true } } } } }, "PismoAuthID": { "type": "string", "description": "Pismo-generated unique authentication ID", "example": "ff77635e-1cd6-4fda-992d-5ceb71d75644" }, "RawProvider": { "type": "object", "description": "All non-PCI information received from provider. Check provider documentation for details." } } }, "paths": { "/issuer-vcas-validate-endpoint": { "post": { "summary": "Issuer’s endpoint to handle VCAs validate flow.", "description": "This endpoint will be used to inform the issuer about the validation flow.", "operationId": "postValidation", "tags": [ "VCAS" ], "requestBody": { "description": "Request provided by Pismo containing transaction and information", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VCASValidateRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/VCASValidateResponse" } } } } } } } } } ```